package ink.wgink.register.wechat.service.miniapp;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RegisterPhoneVO
 * @Description: 手机注册
 * @Author: wanggeng
 * @Date: 2021/5/1 11:47 上午
 * @Version: 1.0
 */
@ApiModel
public class OfficialAccountRegisterPhoneVO {

    @ApiModelProperty(name = "phone", value = "手机号")
    @CheckEmptyAnnotation(name = "手机号", verifyType = "phone")
    private String phone;
    @ApiModelProperty(name = "userCode", value = "用户码")
    @CheckEmptyAnnotation(name = "用户码")
    private String userCode;

    public String getPhone() {
        return phone == null ? "" : phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getUserCode() {
        return userCode == null ? "" : userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"phone\":\"")
                .append(phone).append('\"');
        sb.append(",\"verifyCode\":\"")
                .append(userCode).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
